$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.17.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.17.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B93EDC022DBC0DDAB18F24D479BD9A807FD83D650EC43B246A7E57E13638CAA9'
  checksumType = 'sha256'
  checksum64 = 'B93EDC022DBC0DDAB18F24D479BD9A807FD83D650EC43B246A7E57E13638CAA9'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.24.17-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
